<template>
  <div class="container-fluid">
    <iframe
      v-if="!errorMessage"
      id="saasapi-frame"
      :src="url"
      frameborder="0"
      name="saasapi-frame"
      style="display: block;overflow:hidden;height:100%;width:100%"
      height="100%"
      width="100%"
    />
    <div
      v-if="errorMessage"
      class="row"
    >
      <div class="col-md-8 col-md-offset-2">
        <p style="margin-top: 15vh; text-align: center;">
          {{ errorMessage }}
        </p>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
export default {
  name: 'DsnDashboard',
  data() {
    return {
      url: '',
      errorMessage: false
    }
  },
  computed: {
    ...mapGetters([
      'user'
    ])
  },
  created() {
    document.domain = "dsnplus.fr"
    this.accessDashboard()
      .then((response)=>{
        if(response.error != undefined) {
          this.errorMessage = response.error
        }else {
          this.url = response.url
        }
      })
  },
  mounted() {
    window.addEventListener("beforeunload", function () {
      console.log(document.getElementById("saasapi-frame").contentWindow.location.href)
    });
  },
  methods: {
    ...mapActions([
      'accessDashboard'
    ])
  }
}
</script>

<style scoped>
  .container-fluid {
    min-height: 100vh;
    height: 100vh;
    padding-left: 0 !important;
    padding-right: 0 !important;
  }
</style>